export default function ({ $auth, redirect, route }) {
  if (!$auth.loggedIn || !$auth.hasScope('user')) return redirect('/auth/login-register')
  if (!$auth.user.email_confirmed && route.name !== 'account-verify') return redirect('/account/verify')
  return true
}
